directories:
  output: release
  buildResources: build
appId: com.menus.electron
productName: hosh menu
publish:
  - provider: generic
    url: https://update.hoshmenu.ir
protocols:
  - name: hosh menu
    schemes:
      - hosh-menu
files:
  - filter:
      - dist/**/*
      - dist-react/**/*
      - node_modules/**/*
extraResources:
  - from: assets
    to: assets
win:
  artifactName: Hosh-Menu-Setup-${arch}.${ext}
  target:
    - target: nsis
      arch:
        - ia32
        - x64
  icon: assets/icon.png
nsis:
  oneClick: false
  allowToChangeInstallationDirectory: true
  createDesktopShortcut: true
  createStartMenuShortcut: true
  shortcutName: Hosh Menu
  deleteAppDataOnUninstall: false
  perMachine: false
mac:
  target:
    - dmg
  icon: assets/icon.png
linux:
  target:
    - AppImage
  icon: assets/icon.png
electronVersion: 21.4.4
